[project]
authors = "The Impossible Astronaut"
description = "A small game about a set of spaceships"
email = "buildartifacts@sexybiggetje.nl"
package_name = "vision"
title = "Vision"
url = "https://git.biggetje.net/martijn/vision/"
uti = "com.theimpossibleastronaut.vision"
version = "v0.1"

[build]
output_directory = "release"
ignore_list = [
    # Git
    "^.git.*",

    # Binary files
    ".zip$",
    ".tar.gz$",
    ".love$",
    ".exe$",
    ".psd$",

    # Boon-specific files and directories
    "Boon.toml",
    "release",
    "tools",
    ".drone.yml",
    ".luacheckrc",
    "vision.sublime-.*"
]

# List of targets to build for
# Possible values: "love", "windows", "macos", "all"
targets = ["all"]

# If this is set to true, then the default ignore list will not be
# merged with the project specific ignore list. This allows the
# ignore list to be completely overwritten.
exclude_default_ignore_list = false

